Skip to main content

List Log Files

This API is used to list logs and download URLs.

request

Request-Line

POST /waap/v1.0/logs/list HTTP/1.1

Request Parameters

Query String

ParameterTypeRequiredDescription
domainsString[]MandatoryArray of domain names, the max array size is 50.
startTimeStringMandatoryStart time. Format yyyy-MM-ddTHH:mm:ssZ UTC time.
endTimeStringMandatoryEnd time. Format yyyy-MM-ddTHH:mm:ssZ UTC time. Interval between start time and end time cannot be longer than 24 hours.

Response

Response Body

ParameterTypeDescription
domainStringName of service.
logsArrayList of log file URLs. Array of Logs.

Object: Logs

ParameterTypeDescription
timestampStringFormat yyyy-MM-ddTHH:mm:ssZ UTC time. E.g. 2018-03-29T17:35:00Z will return data from 2018-03-29T17:35:00Z to 2018-03-29T17:39:59Z.
valuesArrayArray of log download URL. Array of Values.

Object: Values

ParameterTypeDescription
fileNameStringLog file name.
fileUrlStringLog file download url. with query string "expire" and "sign" for download authentication. the expire time for url is 7 days.
fileSizeStringLog file size, unit is byte.

Status Codes, Error Codes and Error Messages

Status CodeError CodeError Message
400Request.BadRequestBad request.
400Domains.InvalidDomains is empty or invalid.
400Domains.InvalidDomain names must be unique.
400StartTime.InvalidStartTime is empty or invalid.
400EndTime.InvalidEndTime is empty or invalid.
400TimeRange.ExceededThe difference between EndTime and StartTime cannot exceed 24 hours.
400TimeRange.EndBeforeStartEnd time must be later than start time.
400TimeFormat.InvalidStartTime or EndTime format in 'yyyy-MM-dd'T'HH:mm:ss'Z'.
400GetListLogFiles.OperationFailedGet List Log Files failed.
401AccessCredential.UnauthorizedFailed to authorize access credential and signature.
404Domain.NotFoundDomain is not found.

Examples

List Log Files

Request

POST /waap/v1.0/logs/list HTTP/1.1

{
"domains": [
"example.test.com"
],
"startTime": "2025-12-22T04:00:00Z",
"endTime": "2025-12-22T06:00:00Z"
}

Successful Response Body

[
{
"domain": "example.test.com",
"logs": [
{
"timestamp": "2025-12-22T04:00:00Z",
"values": [
{
"fileName": "20251022040000_202510220410051143-150.log.gz",
"fileUrl": "https://cdn-dl.swiftfederation.com/download/example.test.com/20251022/20251022040000_202510220410051143-150.log.gz?expire=1762513628&sign=25a69db86a1473536a8a8a1c896d46bb2779287a",
"fileSize": 504
},
{
"fileName": "20251022040000_202510220405057603-151.log.gz",
"fileUrl": "https://cdn-dl.swiftfederation.com/download/example.test.com/20251022/20251022040000_202510220405057603-151.log.gz?expire=1762513628&sign=bd17de6f519a9a397a8c48cc98ff7c6f0970a608",
"fileSize": 543
}
]
},
{
"timestamp": "2025-12-22T05:00:00Z",
"values": [
{
"fileName": "20251022050000_202510220504070533-150.log.gz",
"fileUrl": "https://cdn-dl.swiftfederation.com/download/example.test.com/20251022/20251022050000_202510220504070533-150.log.gz?expire=1762513628&sign=2dda02660e26794382a79329d10c82352eeee3a3",
"fileSize": 613
},
{
"fileName": "20251022050000_202510220509038083-151.log.gz",
"fileUrl": "https://cdn-dl.swiftfederation.com/download/example.test.com/20251022/20251022050000_202510220509038083-151.log.gz?expire=1762513628&sign=1bb06057020af19855014c79419bebd0666f46bd",
"fileSize": 394
}
]
}
]
}
]